#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
#include <IRremote.h>
const int RECV_PIN=11;
IRrecv irrecv(RECV_PIN);
decode_results results;
LiquidCrystal_I2C lcd(0x27,20,4);

#define relay1 3
#define relay2 4
#define relay3 5
#define relay4 6

int i=0,j=0,k=0,n=0,p=0;

void setup()
{
  lcd.backlight();
  lcd.init();
  lcd.begin(16,2);
  Serial.begin(9600);
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("----KOTOBUKI----");
  lcd.setCursor(0,1);
  lcd.print("HOME--AUTOMATION");
  delay(2000);
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("-----SYSTEM-----");
  lcd.setCursor(0,1);
  lcd.print("----STARTING----");
  delay(2000);
  pinMode(relay1, OUTPUT);
  pinMode(relay2, OUTPUT);
  pinMode(relay3, OUTPUT);
  pinMode(relay4, OUTPUT);
  irrecv.enableIRIn(); 
  irrecv.blink13(true);
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("AP1 AP2 AP3 AP4");
  lcd.setCursor(0,1);
  lcd.print("OFF OFF OFF OFF");
}

void loop() 
{
  if (irrecv.decode(&results)) 
   {
     Serial.println(results.value,HEX);//Prints the value in HEX/hexadecimal
     delay(100);
     lcd.setCursor(0,0);
     lcd.print("AP1 AP2 AP3 AP4");
     if(results.value==0xFE708F)//change the hex code of this line using your hex code in your remote
     {
        i++;
        int x=i%2;
        digitalWrite(relay1, x);
        lcd.setCursor(0,1);
        if(x)
        lcd.print(" ON");
        else
        lcd.print("OFF ");
     }
    
     else if(results.value==0xFE609F)//change the hex code of this line using your hex code in your remote

     {
        j++;
        int x=j%2;
        digitalWrite(relay2, x);
        lcd.setCursor(4,1);
        if(x)
        lcd.print(" ON");
        else
        lcd.print("OFF");
     }
   
     if(results.value==0xFEF00F)//change the hex code of this line using your hex code in your remote
     {
        k++;
        int x=k%2;
        digitalWrite(relay3, x);
        lcd.setCursor(8,1);
        if(x)
        lcd.print(" ON");
        else
        lcd.print("OFF");
       }

        if(results.value==0xFE48B7)//change the hex code of this line using your hex code in your remote
     {
        p++;
        int x=p%2;
        digitalWrite(relay4, x);
        lcd.setCursor(12,1);
        if(x)
        lcd.print(" ON");
        else
        lcd.print("OFF");
       }
       
        if(results.value==0xFE50AF)//change the hex code of this line using your hex code in your remote
       {
        n++;
        int x=n%2;
        digitalWrite(relay1, x);
        digitalWrite(relay2,x);
        digitalWrite(relay3,x);
        digitalWrite(relay4,x);
        lcd.setCursor(0,1);
        if(x)
        lcd.print(" ON  ON  ON  ON");
        else
        lcd.print("OFF OFF OFF OFF");
       }
     irrecv.resume(); 
   }
}
